package com.webchat.admin.service;

import com.webchat.common.bean.APIPageResponseBean;
import com.webchat.domain.vo.response.UserWalletDetailResponseVO;
import com.webchat.rmi.pay.PaymentWalletServiceClient;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class WalletManagementService {


    @Autowired
    private PaymentWalletServiceClient paymentServiceClient;

    public APIPageResponseBean<UserWalletDetailResponseVO> page(Integer transType, Integer eventType, String userId,
                                                                Integer pageNo, Integer pageSize) {

        return paymentServiceClient.page(transType, eventType, userId, pageNo, pageSize);
    }
}
