package com.webchat.aigc.repository.dao;

import com.webchat.aigc.repository.entity.BotPluginEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;


@Repository
public interface IBotPluginDAO extends JpaSpecificationExecutor<BotPluginEntity>,
                                       JpaRepository<BotPluginEntity, Long> {

    BotPluginEntity findAllByBotCode(String botCode);
}