package com.webchat.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum ChatMessageTypeEnum {

    CHAT_TEXT(1, "聊天"),
    CHAT_FILE(2, "文件"),
    RED_PACKET(3, "红包"),
    PUBLIC_ACCOUNT_ARTICLE(4, "公众号推文"),
    APPLY(5, "申请添加好友"),
    WALLET_BALANCE(6, "钱包余额"),
    CHATTING_REFRESH(7, "刷新对话列表"),
    VIDEO_CALL(8, "音视频呼叫"),
    GROUP_VIDEO_CALL(9, "群聊音视频呼叫"),
    VIDEO_LEAVE(10, "一对一音视频对方挂断"),
    SERVER_ACCOUNT_MESSAGE_CARD(11, "服务号消息卡");

    private Integer type;
    private String desc;
}
