package com.webchat.common.enums.bot;


import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum TransFunctionEnum {

    USERNAME_2_USERID("name2userId", "用户中文名称转业务系统用户ID");

    private String transFunction;

    private String transFunctionDesc;


    public static TransFunctionEnum getTransFunction(String transFunction) {
        for (TransFunctionEnum transFunctionEnum : TransFunctionEnum.values()) {
            if (transFunctionEnum.transFunction.equals(transFunction)) {
                return transFunctionEnum;
            }
        }
        return null;
    }
}
