package com.webchat.common.enums.messagequeue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum MessageQueueEnum {

    QUEUE_CHATTING_LIST_REFRESH("queue_chatting_list_refresh", "聊天对话列表刷新队列"),

    QUEUE_CHAT_MESSAGE("queue_chat_message", "聊天消息队列"),

    QUEUE_OFFICIAL_ARTICLE_PUSH_MESSAGE("queue_official_article_push_message", "公众号推文"),

    QUEUE_PERSISTENT_MESSAGE("queue_persistent_message", "消息持久化队列"),

    QUEUE_CHAT_VIDEO_P2P("queue_chat_video_p2p", "P2P（一对一）音视频聊天信令消息队列"),

    QUEUE_CHAT_VIDEO_MESH("queue_chat_video_mesh", "基于Mesh模式的多人音视频聊天信令消息队列"),

    QUEUE_MOMENT_PUBLISH("queue_moment_publish", "朋友圈动态发布消息队列");

    private String queue;

    private String queueName;
}
