package com.webchat.domain.vo.request;


import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class ChattingRequestVO {

    /**
     * 对话用户
     */
    private String account;

    /**
     * 对话目标用户
     */
    private String chatAccount;

    /**
     * 最新对话时间戳，默认当前时间
     */
    private Long lastChatTime;

    /**
     * 最新对话消息内容（用于离线消息展示）
     */
    private String lastOfflineMessage;
}
