package com.webchat.domain.vo.request.act;


import lombok.Data;
import org.springframework.util.Assert;

@Data
public class ResourceBehaviorRequestVO {

    private String userId;

    private String behaviorType;

    private String resourceType;

    private Long resourceId;


    public void validateRequestParam() {
        Assert.notNull(userId, "操作人为空");
        Assert.notNull(behaviorType, "互动行为为空");
        Assert.notNull(resourceType, "资源类型为空");
        Assert.notNull(resourceId, "资源ID为空");
    }
}
