package com.webchat.pay;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@ComponentScan("com.webchat")
@SpringBootApplication
@EnableDiscoveryClient
@EnableFeignClients("com.webchat.rmi")
public class WebchatPayApplication {

    public static void main(String[] args) {
        SpringApplication.run(WebchatPayApplication.class, args);
    }

}
