package com.webchat.pgc.repository.dao;

import com.webchat.pgc.repository.entity.MessageCardTemplateEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

@Repository
public interface IMessageCardTemplateDAO extends
        JpaRepository<MessageCardTemplateEntity, Integer>,
        JpaSpecificationExecutor<MessageCardTemplateEntity> {

    MessageCardTemplateEntity findByTemplateId(String templateId);
}
