package com.webchat.rmi.aigc;

import com.webchat.common.bean.APIResponseBean;
import com.webchat.domain.dto.aigc.ChatCompletionMessageRequest;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(name = "webchat-aigc-service", contextId = "llmChatClient")
public interface LLMChatClient {



    @PostMapping("/aigc-service/llm/chat")
    APIResponseBean<String> chat(@RequestBody ChatCompletionMessageRequest chatCompletionMessage);


}
