package com.webchat.ugc.repository.dao;

import com.webchat.ugc.repository.entity.MomentTimeLineEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;

@Repository
public interface IMomentTimeLineDAO extends JpaSpecificationExecutor<MomentTimeLineEntity>,
                                            JpaRepository<MomentTimeLineEntity, Long> {


    List<MomentTimeLineEntity> findAllByUserIdAndTimeLineAfter(String userId, Date afterDate);
}
