package com.webchat.admin;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

@SpringBootApplication
@ComponentScan("com.webchat")
@EnableFeignClients("com.webchat.rmi")
public class WebchatApiApplication {

    public static void main(String[] args) {
        SpringApplication.run(WebchatApiApplication.class, args);
    }

}
