package com.webchat.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

public class RedPacketConstants {


    /**
     * 二倍均值法，最小金额限制1分
     */
    public static final int MIN_AMOUNT = 1;


    @Getter
    public enum OpenRedPacketWithEnum {

        LUA, LOCK, QUEUE;
    }


    @Getter
    @AllArgsConstructor
    public enum RedPacketStatus {

        RUNNING(1, "正常状态"),
        EXPIRED(2, "已过期"),
        END(3, "已抽完/结束");

        private int status;
        private String statusName;

        public static boolean isRunning(int status) {
            return RUNNING.status == status;
        }
    }

}
