package com.webchat.common.enums.messagequeue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum MessageBroadChannelEnum {


    QUEUE_CHAT_MESSAGE("queue_chat_message", "聊天消息队列"),

    QUEUE_ARTICLE_PUSH_MESSAGE("queue_article_push_message", "公众号推文队列"),

    QUEUE_CHAT_NOTIFY("queue_chat_notify", "聊天消息通知"),

    QUEUE_VIDEO_SDP("queue_video_sdp", "音视频通话信令"),

    QUEUE_GROUP_VIDEO_CALL("queue_group_video_call", "群聊多人音视频呼叫频道"),

    QUEUE_GROUP_VIDEO_LEAVE("queue_group_video_leave", "一对一音视频对方已挂断消息"),

    QUEUE_GROUP_VIDEO_USER_CHANGE("queue_group_video_user_change", "群聊多人音视频用户上/下线频道"),

    QUEUE_CHAT_ROBOT("queue_chat_robot", "机器人对话消息队列"),

    QUEUE_CHAT_AI_BOT("queue_chat_ai_bot", "‘我的Ai助手’对话消息队列"),

    QUEUE_MESSAGE_CARD_PUSH("queue_message_card_push", "消息卡片推送频道"),

    QUEUE_RED_PACKET_NOTIFY("queue_red_packet_notify", "红包来了~ 通知频道"),

    ;

    private String channel;

    private String channelDesc;

}
