package com.webchat.connect.messagequeue.consumer.rocketmq;

import com.webchat.connect.messagequeue.consumer.service.ChatNotifyConsumeService;
import com.webchat.connect.messagequeue.consumer.service.WebRtcSDPConsumeService;
import org.apache.rocketmq.spring.annotation.MessageModel;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
//@RocketMQMessageListener(consumerGroup = "web_chat", topic = "queue_video_sdp", messageModel = MessageModel.BROADCASTING)
public class WebRtcSDPRocketQueueConsumer implements RocketMQListener<String> {

        @Autowired
        private WebRtcSDPConsumeService webRtcSDPConsumeService;

        /**
         * 处理来自IM 对话相关消息
         *
         * @param message
         */
        @Override
        public void onMessage(String message) {

            webRtcSDPConsumeService.consume(message);
        }
}