package com.webchat.domain.dto.bot;


import lombok.Data;

import java.util.List;

/**
 * {
 * 	"function": "SUMMARY_CHAT_MESSAGE",
 * 	"description": "用于查询用户指定时间段内的聊天消息",
 * 	"parameters": [
 * 		   {
 * 			"name": "sourceUsername"
 * 			"value": "当前用户，比如‘我’",
 * 			"type": "String"
 *        }
 * 	],
 * 	"transRule": [
 *        {
 * 			"parameter": "sourceUsername",
 * 			"transParameter": "sourceUserId",
 * 			"rule": "name2userId"
 *        }
 * 	]
 * }
 */
@Data
public class BotSchemaDTO {


    private String function;

    private String description;

    private List<PluginParameterDTO> parameters;

    private List<PluginParameterTransRuleDTO> transRules;
}
