package com.webchat.domain.dto.bot;

import lombok.Data;

/**
 * {
 * 			"parameter": "sourceUsername",
 * 			"transParameter": "sourceUserId",
 * 			"rule": "name2userId"
 * 	}
 */
@Data
public class PluginParameterTransRuleDTO {

    /**
     * 模型抽取的参数名，来自schema定义
     */
    private String parameter;

    /**
     * 转换后的参数名（api所需要的参数名称）
     */
    private String transParameter;

    /**
     * trans规则
     */
    private String rule;
}
