package com.webchat.domain.vo.response;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 程序员七七， https://www.coderutil.com网站作者
 * @date 2024/11/9 04:43
 */
@Data
public class RedPacketBaseVO {

    /**
     * 红包id
     */
    private Long id;

    private String cover;

    /**
     * 祝福语
     */
    private String blessing;

    /**
     * 一共几个，发给个人只能一次拆一个，发给群聊可以配置多个
     */
    private Integer count;

    /**
     * 拼手气、普通红包（平均分配）
     */
    private Integer type;

    /**
     * 红包发送人信息
     */
    private String sender;

    /**
     * 红包接受人信息：普通用户或者群聊
     */
    private String receiver;

    /**
     * 红包状态
     */
    private Integer status;

    /**
     * 红包过期时间：默认24后过期
     */
    private Long expireTime;

    /**
     * 红包发送时间
     */
    private Long sendTime;

    /**
     * 总金额
     */
    private BigDecimal totalMoney;
}
