package com.webchat.domain.vo.response.moment;

import com.webchat.domain.vo.response.UserBaseResponseInfoVO;
import lombok.Data;

import java.util.List;

@Data
public class MomentVO {

    private Long id;

    private String author;

    /**
     * 作者
     */
    private UserBaseResponseInfoVO authorInfo;

    private String content;

    private List<MomentMediaVO> images;

    private MomentMediaVO video;

    private MomentLinkVO link;

    private String ip;

    private String ipAddress;

    private Boolean includeImages;
    private Boolean includeVideo;
    private Boolean includeLink;

    /**
     * 内容审核质量分
     */
    private Integer reviewScore;

    private long publishTime;
}
