package com.webchat.pay.config.constants;


import lombok.AllArgsConstructor;
import lombok.Getter;

public class PaymentConstant {

    /**
     * 托管账户
     */
    public static final String PAYMENT_SYSTEM_ID = "S_51a7fbf50155c4b08c55fbbcfc5911db";

    @Getter
    @AllArgsConstructor
    public enum TrasnsIdStatusEnum {

        INIT(1, "初始化"),

        CREATE_ORDER(2, "已创建订单"),

        ROLLBACK(3, "已回滚");

        private int status;
        private String statusName;

    }

    @Getter
    @AllArgsConstructor
    public enum TrasnsDetailStatusEnum {

        FINISHED(1, "完成"),

        ROLLBACK(2, "已回滚"),

        DELETED(3, "删除");

        private int status;
        private String statusName;

    }
}
