package com.webchat.pay.config.exception;

import com.webchat.pay.config.enums.PaymentErrorCodeEnum;


public class PaymentAccessAuthException extends RuntimeException {

    /**
     * 异常状态码
     */
    private int code = PaymentErrorCodeEnum.NO_AUTH.getErrCode();

    public PaymentAccessAuthException() {
        super(PaymentErrorCodeEnum.NO_AUTH.getErrDesc());
    }

    public PaymentAccessAuthException(String message) {
        super(message);
    }

    public Integer getCode() {
        return code;
    }
}
