package com.webchat.pay.repository.dao;

import com.webchat.pay.repository.entity.PaymentOrderEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

@Repository
public interface IPaymentOrderDAO extends
        JpaSpecificationExecutor<PaymentOrderEntity>,
        JpaRepository<PaymentOrderEntity, Long> {


    PaymentOrderEntity findByOrderId(String orderId);
}
