package com.webchat.ugc.repository.dao;

import com.webchat.ugc.repository.entity.MomentLinkEntity;
import com.webchat.ugc.repository.entity.RedPacketEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;


@Repository
public interface IMomentLinkDAO extends JpaSpecificationExecutor<MomentLinkEntity>,
        JpaRepository<MomentLinkEntity, Long> {


    MomentLinkEntity findAllByMomentId(Long momentId);
}
