package com.webchat.ugc.repository.dao;

import com.webchat.ugc.repository.entity.MomentMediaEntity;
import com.webchat.ugc.repository.entity.RedPacketEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface IMomentMediaDAO extends JpaSpecificationExecutor<MomentMediaEntity>,
        JpaRepository<MomentMediaEntity, Long> {



    List<MomentMediaEntity> findAllByMomentIdAndType(Long momentId, Integer type);

    List<MomentMediaEntity> findAllByMomentId(Long momentId);

}
